WordPress.org

Ready to get started?Download WordPress

Forums

Latest Tweets Widget
Disable compression/expansion - data error (4 posts)

  1. chucknb28409
    Member
    Posted 5 months ago #

    Hi,

    When I run debug on this I get an error:

    WARNING: wp-includes/class-http.php:1806 - gzinflate(): data error

    I don't use gzip on the server so how do I disable this??

    Thanks

    https://wordpress.org/plugins/latest-tweets-widget/

  2. timwhitlock
    Member
    Plugin Author

    Posted 5 months ago #

    This plugin uses WordPress's built-in HTTP library, which is where that error is coming from. For reference: https://github.com/timwhitlock/wp-twitter-api/blob/master/lib/twitter-api-core.php#L368

    I don't know anything about the internals of WordPress's http library, but looking at line 1806, they are clearly suppressing an error they expect is likely to fail with @gzinflate( ...

    The only way I can think to fix this is to send specific http headers asking the Twitter servers not to compress the response. I'd have to provide a filter for you to alter the http call, because I wouldn't want to disable it for everyone, especially as this is the first time I've heard this and also it's a suppressed error.

  3. timwhitlock
    Member
    Plugin Author

    Posted 3 months ago #

    Have you resolved this issue?

  4. chucknb28409
    Member
    Posted 3 months ago #

    Hi,

    No I have not but it does not seem to be harming anything. I was concerned this might be adding to my excessive CPU usage issues but this was not the cause of that. Also the error is now slightly different, it reads:

    WARNING: wp-includes/class-http.php:1963 - gzinflate(): data error

    Thanks

Reply

You must log in to post.

About this Plugin

About this Topic